<?php
/* 
Plugin Name: 42functions Social Media Tracking
Plugin URI: http://www.42functions.nl
Version: v2.1
Author: 42functions
Author URI: http://42functions.nl/
Description: Plugin used to track social media events with google analytics. 
*/

include_once('xlii-core.php');
include_once('xlii-page.php');

// Append action menu
add_action('admin_menu', 'xlii_smt_adminmenu');

function xlii_smt_adminmenu()
{
    add_options_page('42functions Social Media Tracker', 'Social Media Tracker', 'administrator', 'xlii-smt-main', '_xlii_smt_router');
}

// Only include plugin when we need to
global $pagenow;
if($pagenow == 'options-general.php' && strpos($_GET['page'], 'xlii-smt') !== false)
{
    function xlii_smt_load_admin_resources()
 	{
 	    wp_enqueue_style('xlii_smt_admin', XLII_SMT_BASE.'resource/xlii_admin.css', array('xlii_smt_front'));
 	    wp_enqueue_script('xlii_smt_admin', XLII_SMT_BASE.'resource/xlii_admin.js', array('jquery', 'jquery-ui-sortable', 'jquery-ui-droppable', 'jquery-ui-draggable'));
 	}
 	add_action('init', 'xlii_smt_load_admin_resources');
    
    include_once('xlii-admin.php');
}